<?php
/**
Plugin Name: Good Catalogs - YML creator
Description: Plugin to create YML (Yandex XML) file to the plugin Goods Catalog
Author: Dmitriy Kishkin
Author URI: http://www.kishkin.pro/
Version: 1.0
*/

// Подключил для того чтобы is_plugin_active работал.

require_once( ABSPATH . 'wp-admin/includes/plugin.php' );
// Проверяю версию WordPress.
if ( version_compare( floatval( get_bloginfo( 'version' ) ), '4.4', '<' ) ) { // если меньше 4.4
 
	// деактивируем
	add_action( 'admin_init', 'true_plugin_off_gc_atlantdak' );
	function true_plugin_off_gc_atlantdak() {
		deactivate_plugins( plugin_basename( __FILE__ ) );
	}
 
	// добавляем соответствующее уведомление
	add_action( 'admin_notices', 'true_plugin_uvedomlenie' );
	function true_plugin_uvedomlenie() {
		echo '<div class="updated">Плагин <p><strong>Good Catalogs YML create</strong> был отключен, так как не поддерживается версией WordPress ниже 4.4.</p></div>';
 
		// также сносим параметр из URL, чтобы не выполнилось ничего лишнего
		if ( isset( $_GET['activate'] ) )
			unset( $_GET['activate'] );
	}
 
} elseif(!is_plugin_active( 'goods-catalog/goods-cat.php' )){
	
	// деактивируем
	add_action( 'admin_init', 'true_plugin_off_gc_atlantdak' );
	function true_plugin_off_gc_atlantdak() {
		deactivate_plugins( plugin_basename( __FILE__ ) );
	}
 
	// добавляем соответствующее уведомление
	add_action( 'admin_notices', 'true_plugin_uvedomlenie' );
	function true_plugin_uvedomlenie() {
		echo '<div class="updated">Плагин <p><strong>Good Catalogs YML create</strong> был отключен, так как для его работы должен быть включен плагин <strong>Goods catalog</strong> (Автор: Irina Sokolovskaya)</p></div>';
 
		// также сносим параметр из URL, чтобы не выполнилось ничего лишнего
		if ( isset( $_GET['activate'] ) )
			unset( $_GET['activate'] );
	}
}
else {
    // тут будет находиться весь остальной код плагина


			require_once('setting.php');
			require_once('function.php');

			//Планирование 
			if(get_option('gcYmlCron')==1){
				if( !wp_next_scheduled( 'yml_goods_catalog_refresh' ) ) {  
				   wp_schedule_event( time(), 'daily', 'yml_goods_catalog_refresh' );  
				} 
			}
			//Удалить планирование если не стоит галочка в админке на планировании
			if(get_option('gcYmlCron')!=1){
				$timestamp = wp_next_scheduled('yml_goods_catalog_refresh');
				wp_unschedule_event($timestamp, 'yml_goods_catalog_refresh');
			} 
			add_action( 'yml_goods_catalog_refresh', 'generate_xml_file' );
			/*$timestamp = wp_next_scheduled('yml_goods_catalog_refresh');
			wp_unschedule_event($timestamp, 'yml_goods_catalog_refresh');
			*/

		}
?>